---------------------------------------*- mode:sql; sql-product:
--postgres; -*-
--
--  Language:   PostgreSQL Platform:   PostgreSQL 9.3+ OS:         NA
--  Author: [MJL] Michael J. Lockhart <sinewalker@gmail.com>
--
--  Rights:     Copyright © 2019, 2024 Michael J. Lockhart Creative
--              Commons Attribution-ShareAlike 4.0 International
--              https://creativecommons.org/licenses/by-sa/4.0/
--
--  PURPOSE:    PostgreSQL Commands Bootstrap
--
------------------------------------------------------------------------------
--
--- Commentary:
--
--    Load my postgres library modules at psql startup. This file is a
--    single entry point to make writing your own psqlrc simpler (one
--    single file to include).
--
--    The psql variable POSTGRES_LIB MUST be set to the directory
--    containing the library
--
------------------------------------------------------------------------------
--
--- Bugs:
--
--    The files to include are all hard-coded here, in specific order,
--    which is also the point. Must set POSTGRES_LIB for this to
--    work. To keep code DRY, set it from psqlrc.
--
---   This file should be generated by a dev tool, rather than
--    hand-coded.
--
------------------------------------------------------------------------------

\timing off
\set QUIET on

\set clear '\\! clear;'
\set cls '\\! clear;'

\set POSTGRES_LIB /opt/psqlrc
\echo Loading postgres commands from :POSTGRES_LIB
\i :POSTGRES_LIB/dba.sql
-- \i :POSTGRES_LIB/gitlab.sql

\timing on
\set QUIET off
